#define EVENT_BUFFER_SIZE		(1024 * 1024)
/* Under these many bytes we're safe to do clear backlog. */
#define EVENT_LOW_WATER_MARK		(32 * 1024)
/* Above these many bytes we should stop decoding events and just queue them. */
#define EVENT_HIGH_WATER_MARK		(768 * 1024)

struct fs_event {
	int32_t type;
	char *name, *name2;
	dev_t dev, dev2;
	ino_t ino, ino2;
        int32_t mode;
};

#ifdef __cplusplus
extern "C" {
#endif

int fsevent_start_monitoring();
int fsevent_stop_monitoring();
void fsevent_read(void);
void fsevent_process(char *buffer, int nbytes);

#ifdef __cplusplus
}
#endif
