#ifdef __cplusplus
extern "C" {
#endif

struct fs_event;

void transaction_begin(int fd, uid_t uid, int nfs, int errfd);
void transaction_abort(int fd, uid_t uid, int trid);
void transaction_commit(int fd, uid_t uid, int trid);
void transaction_list(int fd, uid_t uid, int ltype);
void transaction_fsevent(struct fs_event *ev);
void transaction_abort_all(uid_t uid, const char *msg);

void event_queue_process_chunk();
void event_queue_add(char *buffer, int nbytes);
int event_queue_empty();

#ifdef __cplusplus
}
#endif
